Packaging - Bug #29281

On upgrade dynflowd is not stopped
03/06/2020 03:37 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category:
Target version: 2.0.0
Difficulty: Fixed in Releases: 2.0.0
Triaged: Yes Found in Releases:  2.0.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-p
ackaging/pull/4915,
https://github.com/theforeman/foreman-p
ackaging/pull/4920,
https://github.com/theforeman/foreman-p
ackaging/pull/4947

Description

When upgrading from Foreman 1.24 to 2.0, the dynflowd service is still running. | would expect that the foreman RPM makes sure
the service is stopped since the unit file is no longer shipped.

Note it's not possible to stop a service after its unit file has been removed:

[root@pipeline-foreman-server-1-24-centos7 ~]# systemctl —--no-reload disable —--now dynflowd
Failed to execute operation: No such file or directory
[root@pipeline-foreman-server-1-24-centos?7 ~]# systemctl status dynflowd
® dynflowd.service
Loaded: not-found (Reason: No such file or directory)
Active: active (running) since Fri 2020-03-06 14:52:43 UTC; 1lh 17min ago
CGroup: /system.slice/dynflowd.service
F72059O dynflow_executor_monitor
L-20596 dynflow_executor

It can also be seen that a foreman-tasks.service remains as a dangling symlink:
[root@pipeline-foreman-server-1-24-centos7 ~]# 1ls -1 /etc/systemd/system/foreman-tasks.service

lrwxrwxrwx. 1 root root 40 Mar 6 14:52 /etc/systemd/system/foreman-tasks.service —-> /usr/lib/syst
emd/system/dynflowd.service

Associated revisions

Revision abeca761 - 03/31/2020 05:31 PM - Eric Helms

Fixes #29281: Stop dynflowd service before removal

Revision 3757af14 - 04/06/2020 05:11 PM - Ewoud Kohl van Wijngaarden

Fixes #29281 - Forcefully remove dynflowd.service

The dynflowd.service was removed in Foreman 2.0 by just dropping the
.service file which meansthe service keeps running.

History

#1 - 03/06/2020 04:14 PM - Ewoud Kohl van Wijngaarden

- Description updated

#2 - 03/06/2020 04:15 PM - Ewoud Kohl van Wijngaarden
- Description updated

#3 - 03/06/2020 11:13 PM - Anonymous
Same with DEBs:

lrwxrwxrwx 1 root root 36 Dec 12 2017 ruby-foreman-tasks.service -> /lib/systemd/system/dynflowd.service

#4 - 03/26/2020 12:44 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-packaging/pull/4915 added

#5 - 03/26/2020 09:02 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/4920 added

#6 - 03/31/2020 05:31 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#7 - 03/31/2020 05:35 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases 2.0.0 added
- Fixed in Releases deleted (2.1.0)

#8 - 03/31/2020 06:01 PM - Eric Helms
- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|abeca7614856c1dc57b0392ba8c133f0604f2a12.

#9 - 04/02/2020 09:04 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/4947 added

#10 - 04/06/2020 05:11 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#11 - 04/06/2020 05:20 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases deleted (2.1.0)

#12 - 07/23/2021 04:13 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/6944 added

#13 - 07/25/2021 04:08 PM - Ewoud Kohl van Wijngaarden
- Triaged changed from No to Yes

- Pull request deleted (https://github.com/theforeman/foreman-packaging/pull/6944)

#14 - 03/25/2022 04:29 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/7748 added

#15 - 04/04/2022 02:52 PM - Ewoud Kohl van Wijngaarden
- Pull request deleted (https://github.com/theforeman/foreman-packaging/pull/7748)
